Quassel IRC - Feature #535

Warn on performing /list
02/09/2009 10:52 PM - Nightfall

Status: Closed Start date: 02/09/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.13.0

0S: Any

Description

Performing /list on big networks can have not-that-great results like keeping the core busy for a long while (writing the channel list
into the database) and disconnecting clients during this time.
Also it might not be desirable to have several thousand channels listed in the backlog/database.

This is especially annoying if one is used to other clients' /list #channel to display channel topics etc. and either Quassel doesn't
support this and displays the complete list instead (?) or one accidentally omits the channel argument.

Maybe you could move /list to /list networkname and display a note when the user performs /list.
Not optimal and perhaps not following the specifications, but it might be worth it in this case.
(Waiting for ten minutes until the core responds again is... not fun ;) )

History

#1 - 03/22/2009 02:29 PM - Anonymous

Yep, and it would be cool that when you type /list, a new tab appears (not a pop-up, it's pretty annoying ;) ) which displays organized content.

#2 - 09/14/2018 03:31 AM - genius3000
- Status changed from New to Closed
- Target version set to 0.13.0

- % Done changed from 0 to 100

As of 0.13, "/list" will open the Channel List dialog with improved handling. This keeps the backlog/status buffer clean.
